package com.jeethink.save.service;

import java.util.List;
import com.jeethink.bean.domain.ArchivesMaster;
import com.jeethink.receive.vo.ArchivesVO;

/**
 * 档案入库Service接口
 * 
 * @author sh
 * @date 2022-11-11
 */
public interface IPutinService
{
    /**
     * 获取待入库列表
     * @param archives
     * @return
     */
    List<ArchivesMaster> selectPutinList(ArchivesMaster archives);

    /**
     * 确认入库
     * @param archivesId
     */
    void confirmPutin(String archivesId);

    ArchivesVO selectArchivesById(String archivesId);
}
